<div id="create-product">
  <div class="d-flex align-center justify-space-between">
    <nuxt-link to="/admin/products" class="text-decoration-none">
      <div class="d-flex align-center">
        <v-icon color="#242A2E"> mdi-arrow-left </v-icon>
        <p class="mb-0 h6 ml-7 colorGreyMain">New Product</p>
      </div>
    </nuxt-link>
    <div>
      <v-btn
        color="#076CE3"
        class="elevation-0"
        @click="onCreateProduct()"
        :disabled="loading"
      >
        <v-progress-circular
          indeterminate
          color="#076CE3"
          v-if="loading"
          size="22"
        >
        </v-progress-circular>
        <div class="d-flex align-center" v-else>
          <v-icon color="#ffffff"> mdi-check </v-icon>
          <p class="ml-2 mb-0 fsize-16 text-capitalize white--text">Done</p>
        </div>
      </v-btn>
    </div>
  </div>
  <!-- <v-card class="elevation-0 pa-6 mt-5">
    <div class="d-sm-flex align-center justify-space-between">
      <p class="mb-0 fsize-18 lightContentPrimary">Collection</p>
      <div id="hideBottomInput" class="mt-3 mt-sm-0">
        <v-autocomplete
          dense
          outlined
          v-model="product.categoryId"
          :items="listCollection"
          item-text="name"
          item-value="_id"
          placeholder="Choose your collection"
        ></v-autocomplete>
      </div>
    </div>
  </v-card> -->
  <v-row class="mt-5">
    <v-col cols="12" md="9" class="pa-3">
      <v-card class="elevation-0 pa-6">
        <p class="mb-0 fsize-18 lightContentPrimary">Basic Information</p>
        <v-row no-gutters>
          <v-col cols="12" sm="2" class="py-3 d-flex align-center">
            <p class="mb-0 lightContentPrimary text-capitalize">
              * Product Name:
            </p>
          </v-col>
          <v-col cols="12" sm="10" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field
                dense
                outlined
                placeholder="Product Name"
                v-model="product.productName"
              >
              </v-text-field>
            </div>
          </v-col>
          <!-- <v-col
            cols="12"
            sm="4"
            class="pa-3 d-flex align-center justify-sm-end"
          >
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              Link:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field
                dense
                outlined
                placeholder="Product slug"
                v-model="product.slug"
              >
              </v-text-field>
            </div>
          </v-col> -->
          <v-col cols="12" sm="2" class="py-3 d-flex align-center">
            <p class="mb-0 lightContentPrimary text-capitalize">
              * Description:
            </p>
          </v-col>
          <v-col cols="12" sm="10" class="pa-3">
            <div id="hideBottomInput">
              <div>
                <Editor
                  :api-key="api_key_tiny_editor"
                  :init="initEditor"
                  initial-value=""
                  v-model="product.description"
                  :content.sync="product.description"
                  :resetContent.sync="resetContent"
                />
              </div>
            </div>
          </v-col>
          <v-col cols="12" sm="2" class="py-3 d-flex align-center">
            <p class="mb-0 lightContentPrimary text-capitalize">Language:</p>
          </v-col>
          <v-col cols="12" sm="10" class="pa-3">
            <div id="hideBottomInput">
              <v-select
                dense
                outlined
                v-model="product.language"
                :items="listLanguage"
                item-text="name"
                item-value="value"
              >
              </v-select>
            </div>
          </v-col>
          <!-- <v-col cols="6" sm="4" class="pa-3 mt-4 d-flex align-center justify-sm-end">
            <p class="mb-0 mt-1 lightContentPrimary text-capitalize">
              * Open for sale:
            </p>
          </v-col>
          <v-col cols="6" sm="8" class="pa-3 mt-4">
            <div id="hideBottomInput">
              <v-switch v-model="product.productStatus" inset class="mt-0">
              </v-switch>
            </div>
          </v-col> -->
        </v-row>
      </v-card>

      <!-- <v-card class="elevation-0 pa-6 mt-2">
        <p class="mb-0 fsize-18 lightContentPrimary">
          Related Products
        </p>
        <div class="mt-4">
          <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
          </v-skeleton-loader>
          <v-simple-table class="scrollTable c-pointer" fixed-header v-else
            style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
            <template v-slot:default>
              <thead>
                <tr>
                  <th class="px-0">
                    <div class="d-flex align-center" style="width: 400px">
                      <v-checkbox v-model="selectedAll" class="pl-3"></v-checkbox>
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2"
                        v-if="!selectedAll && !listRelatedProductIds.length">
                        Product Name
                      </p>
                      <div v-else class="d-flex align-center">
                        <p class="mb-0 fsize-14 font-weight-bold">
                          Action <span class="fsize-12 colorGreyHeaderItem">
                            (Choose <span class="black--text">{{listRelatedProductIds.length}}</span> items)
                          </span>
                        </p>
                        <v-btn text class="ml-7" @click="onDeleteRelatedProduct()">
                          <div class="d-flex align-center">
                            <v-icon color="#FF5252" size="18">
                              mdi-delete
                            </v-icon>
                            <p class="mb-0 ml-3 fsize-14 font-weight-bold text-capitalize">
                              Delete product
                            </p>
                          </div>
                        </v-btn>
                      </div>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div v-if="!selectedAll && !listRelatedProductIds.length" style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Variants
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div v-if="!selectedAll && !listRelatedProductIds.length" style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Stock
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div v-if="!selectedAll && !listRelatedProductIds.length" style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Collection
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div v-if="!selectedAll && !listRelatedProductIds.length" style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Price
                      </p>
                    </div>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(product,i) in listRelatedProduct" :key="product._id">
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <v-checkbox v-model="listRelatedProductIds" :value="product._id" class="pl-3"></v-checkbox>
                      <nuxt-link :to="`/admin/products/edit/${product.slug}`" class="text-decoration-none">
                        <div class="d-flex align-center">
                          <div class="d-flex align-center">
                            <img :src="convertImg(product)" alt="" width="64" height="64" class="rounded-lg">
                          </div>
                          <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                            {{product.name}}
                          </p>
                        </div>
                      </nuxt-link>
                    </div>
                  </td>
                  <td class="px-0">
                    <p class="mb-0 fsize-14-400 ">
                      {{product.variant && product.variant.length && $utils.formatCurrency(product.variant.length)}}
                    </p>
                  </td>
                  <td class="px-0">
                    <p class="mb-0 fsize-14 font-weight-bold"
                      :class="product.amount > 0 ? 'lightContentBlue' : 'lightSemanticError'">
                      {{totalStockProduct(product)}}
                    </p>
                  </td>
                  <td class="px-0">
                    <p class="mb-0 fsize-14 font-weight-bold lightContentBlue">
                      {{product.collectionId && product.collectionId.name}}
                    </p>
                  </td>
                  <td class="px-0">
                    <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
                      ${{calcPrice(product) && $utils.formatCurrency(calcPrice(product))}}
                    </p>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div class="d-flex justify-center my-2" v-if="listProduct.length == 0 && !loadingTable">
            <span>No product list yet</span>
          </div>
          <div class="d-flex justify-center mt-5">
            <v-btn color="#076CE3" outlined="px-4" @click="dialogAddRelatedProduct = true">
              <div class="d-flex align-center">
                <v-icon color="#076ce3">
                  mdi-plus
                </v-icon>
                <span class="lightContentBlue ml-3">
                  Add Products
                </span>
              </div>
            </v-btn>
          </div>
          <div class="text-center mt-4 pb-2 d-flex align-center justify-center">
            <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
            </v-pagination>
            <div id="hideBottomInput" class="input-gotopage pos-relative">
              <v-text-field dense outlined v-model.number="config.page" placeholder="Go to page">
              </v-text-field>
              <div class="button-inside-input">
                <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0">
                  <v-icon color="#ffffff">
                    mdi-chevron-right
                  </v-icon>
                </v-btn>
              </div>
            </div>
          </div>
        </div>
      </v-card> -->
      <!-- <v-card class="elevation-0 pa-6 mt-2">
        <p class="mb-0 fsize-18 lightContentPrimary">
          SEO Setup
        </p>
        <v-row no-gutters>
          <v-col cols="12" sm="4" class="pa-3 d-flex align-center justify-end">
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              Key word:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field dense outlined placeholder="Key word" v-model="product.name">
              </v-text-field>
            </div>
          </v-col>
          <v-col cols="12" sm="4" class="pa-3 d-flex align-center justify-end">
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              Title META:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field dense outlined placeholder="Title meta" v-model="product.slug">
              </v-text-field>
            </div>
          </v-col>
          <v-col cols="12" sm="4" class="pa-3">
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              *Product description META:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-textarea dense outlined placeholder="Description Meta" v-model="product.description">
              </v-textarea>
            </div>
          </v-col>
        </v-row>
      </v-card> -->
      <!-- <v-card class="elevation-0 pa-6 mt-2 ">
        <p class="mb-0 fsize-18 lightContentPrimary">
          Product Promotion
        </p>
        <div class="my-3">
          <p class="mb-0 fsize-13 lightContentPrimary">
            This promotion is only applied for this collection
          </p>
        </div>
        <div id="hideBottomInput">
          <v-text-field dense outlined v-model.number="collection.discount" prefix="%">
          </v-text-field>
        </div>
      </v-card> -->
    </v-col>
    <v-col cols="12" md="3" class="pa-3">
      <!-- <v-card class="elevation-0 pa-6" v-if="!product.listVariant.length">
        <p class="mb-0 fsize-18 lightContentPrimary">
          Selling Info
        </p>
        <div class="mt-3" id="hideBottomInput">
          <p class="mb-0 fsize-16 font-weight-bold">
            * Price:
          </p>
          <div class="mt-3">
            <v-text-field dense outlined v-model.number="product.salePrice" prefix="$"
              :readonly="product.listVariant.length">
            </v-text-field>
          </div>
        </div>
        <div class="mt-3" id="hideBottomInput">
          <p class="mb-0 fsize-16 font-weight-bold">
            * Compare Price:
          </p>
          <div class="mt-3">
            <v-text-field dense outlined v-model.number="product.price" prefix="$"
              :readonly="product.listVariant.length">
            </v-text-field>
          </div>
        </div>
        <div class="mt-3" id="hideBottomInput">
          <p class="mb-0 fsize-16 font-weight-bold">
            * Product Cost:
          </p>
          <div class="mt-3">
            <v-text-field dense outlined v-model.number="product.originPrice" placeholder="Enter origin price"
              prefix="$" :readonly="product.listVariant.length"></v-text-field>
          </div>
        </div>
        <div class="mt-3" id="hideBottomInput">
          <p class="mb-0 fsize-16 font-weight-bold">
            * Stock:
          </p>
          <div class="mt-3">
            <v-text-field dense outlined v-model.number="product.stock" prefix="#"
              :readonly="product.listVariant.length">
            </v-text-field>
          </div>
        </div>
        <div class="mt-3" id="hideBottomInput">
          <p class="mb-0 fsize-16 font-weight-bold">
            * Sku:
          </p>
          <div class="mt-3">
            <v-text-field dense outlined v-model.number="product.sku" prefix="#" :readonly="product.listVariant.length">
            </v-text-field>
          </div>
          <span class="caption colorGreyHeaderTable mt-1">
            If Product have variants, total stock and original price will be counted as sum of all variants’s stock
            quantity.
          </span>
        </div>
      </v-card> -->
      <v-card class="elevation-0 pa-6">
        <p class="mb-0 h6">Manage Image</p>
        <p class="mb-0 mt-2 fsize-16 font-weight-bold">Thumbnails:</p>

        <div class="mt-2">
          <!-- <p class="mb-0 fsize-16 font-weight-bold">
            Additional Image:
          </p> -->
          <div
            class="mt-2 thumbnails-image d-flex align-center justify-center"
            v-if="!listCoverIdComponent.length"
            style="width: 216px; height: 216px"
            @click="onSelectMultipleImage()"
          >
            <img
              src="~/assets/images/thumbnails-image.png"
              alt=""
              width="48"
              height="48"
            />
          </div>
          <div class="d-flex align-center flex-wrap" style="max-width: 300px">
            <draggable
              v-model="listCoverIdComponent"
              group="people"
              @start="drag=true"
              @end="drag=false"
              class="d-flex items-center flex-wrap parent"
              style="max-width: 300px"
            >
              <div
                class="mt-1"
                v-for="(cover,i) in listCoverIdComponent"
                :key="cover.imageUrl"
              >
                <div
                  class="c-pointer"
                  style="
                    width: 100vw;
                    height: 215px;
                    position: sticky;
                    top: 0px;
                    left: 0px;
                  "
                  v-if="i === 0"
                >
                  <div class="mt-2 thumbnails-image-selected pos-relative">
                    <img
                      :src="convertImage"
                      alt=""
                      style="
                        width: 215px;
                        height: 215px;
                        position: relative;
                        top: 0px;
                        left: 0px;
                      "
                      class="rounded"
                    />
                    <div
                      class="button-remove-image white rounded-lg c-pointer"
                      @click="removeImageChild(i - 1)"
                    >
                      <v-icon color="#242A2E"> mdi-close </v-icon>
                    </div>
                  </div>
                </div>
                <div
                  class="thumbnails-image-child c-pointer mr-1 pos-relative thumbnails-image-child-selected"
                  v-if="i > 0"
                >
                  <div class="d-flex align-center">
                    <img
                      :src="convertMultipleImage(cover)"
                      alt=""
                      style="width: 56px; height: 56px"
                      draggable="false"
                    />
                  </div>
                  <div
                    class="button-remove-image white rounded-lg c-pointer"
                    @click="removeImageChild(i - 1)"
                  >
                    <v-icon color="#242A2E" size="22"> mdi-close </v-icon>
                  </div>
                </div>
              </div>
            </draggable>
            <div
              class="mt-1 thumbnails-image-child d-flex align-center justify-center c-pointer"
              @click="onSelectMultipleImage()"
            >
              <img
                src="~/assets/images/thumbnails-image.png"
                alt=""
                width="13"
                height="13"
              />
            </div>
          </div>
        </div>
        <!-- <v-file-input v-model="collection.coverId" class="d-none" ref="fileImage" accept="image/*" label="File input"
          @change="onChangeImage">
        </v-file-input> -->
      </v-card>
    </v-col>
    <v-col cols="12" class="pa-3">
      <v-card class="elevation-0 pa-6 mt-2">
        <p class="mb-0 fsize-18 lightContentPrimary">Product Variants</p>
        <div class="mt-4" id="hideBottomInput">
          <v-row>
            <v-col cols="12" sm="2">
              <p
                class="mb-0 fsize-13 font-weight-medium colorGreyHeaderTable text-uppercase"
              >
                Option Name
              </p>
            </v-col>
            <v-col cols="12" sm="10">
              <p
                class="mb-0 fsize-13 font-weight-medium colorGreyHeaderTable text-uppercase"
              >
                Option Value
              </p>
            </v-col>
          </v-row>
          <v-row v-for="(variant, i) in listVariantOption" :key="i">
            <v-col cols="12" sm="2">
              <div class="">
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter variant name"
                  background-color="#ffffff"
                  height="50"
                  v-model="variant.name"
                >
                </v-text-field>
              </div>
            </v-col>
            <v-col cols="12" sm="10">
              <div class="border-variant pa-1 d-flex flex-wrap align-center">
                <div class="d-flex flex-wrap align-center">
                  <v-chip
                    class="ma-1 py-4"
                    small
                    v-for="(item, idx) in variant.values"
                    :key="idx"
                  >
                    <div class="d-flex align-center">
                      <span class="fsize-11"> {{item}} </span>
                      <v-btn
                        icon
                        x-small
                        class="ml-2"
                        @click="onRemoveVariant(i, idx)"
                      >
                        <v-icon size="16"> mdi-close </v-icon>
                      </v-btn>
                    </div>
                  </v-chip>
                </div>
                <div
                  class="mx-2 d-flex align-center justify-space-between fwidth"
                >
                  <div>
                    <v-text-field
                      dense
                      outlined
                      placeholder=" Press enter to separate the option"
                      class="mt-0 pt-0"
                      @keyup.enter="onAddVariant(i)"
                      style="width: 250px"
                      v-model="variant.valueOption"
                    >
                    </v-text-field>
                  </div>
                  <div>
                    <v-btn
                      fab
                      icon
                      x-small
                      color="#EB5757"
                      @click="onRemoveOptionVariant(i)"
                    >
                      <v-icon color="#EB5757"> mdi-delete </v-icon>
                    </v-btn>
                  </div>
                </div>
              </div>
            </v-col>
          </v-row>
          <div class="mt-4">
            <v-btn color="#C3C3C3" outlined @click="onAddOptionVariant()">
              <div class="d-flex align-center">
                <v-icon color="#242A2E"> mdi-plus </v-icon>
                <p class="mb-0 ml-2 text-none lightContentPrimary fsize-15">
                  Add Another Option
                </p>
              </div>
            </v-btn>
          </div>
        </div>
        <div class="mt-4" v-if="listVariantOption.length">
          <v-row>
            <v-col cols="12" sm="2">
              <p class="mb-0 mt-2 fsize-15 font-weight-bold">Select</p>
            </v-col>
            <v-col cols="12" sm="10">
              <div>
                <v-btn
                  text
                  color="#076CE3"
                  @click="onHandleVariantSelect('all')"
                >
                  <p class="mb-0 fsize-15 text-none lightContentBlue">
                    All Variants
                  </p>
                </v-btn>
                <v-btn
                  text
                  color="#076CE3"
                  @click="onHandleVariantSelect('none')"
                >
                  <p class="mb-0 fsize-15 text-none lightContentBlue">None</p>
                </v-btn>
              </div>
              <div
                v-for="(variant, i) in listVariantOption"
                :key="i"
                class="d-flex flex-wrap align-center"
              >
                <div
                  class="border-variant pa-2 mr-1 mt-2"
                  v-for="(item, idx) in variant.values"
                  :key="idx"
                  @click="onHandleVariantSelected(item)"
                  :class="selectActive(item) ? 'isActive' : ''"
                >
                  <p class="mb-0 fsize-14">{{item}}</p>
                </div>
              </div>
            </v-col>
          </v-row>
        </div>
        <div class="mt-4" v-if="listVariantIds.length">
          <v-menu
            :close-on-content-click="false"
            left
            :nudge-bottom="10"
            transition="scale-transition"
            offset-y
          >
            <template v-slot:activator="{ on, attrs }">
              <v-btn color="blue" outlined v-bind="attrs" v-on="on">
                <span class="text-none">
                  Edit {{listVariantIds.length}} selected variants
                </span>
              </v-btn>
            </template>
            <div class="white fwidth">
              <div class="py-2 px-4" @click="onSelectImage('isImageVariant')">
                Choose Image
              </div>
              <div class="py-2 px-4" @click="openDialogEditVariant()">
                Edit field
              </div>
            </div>
          </v-menu>
        </div>
        <div class="mt-4">
          <v-skeleton-loader
            class="mx-auto mt-10"
            width="100%"
            type="card"
            v-if="loadingTable"
          >
          </v-skeleton-loader>
          <v-simple-table
            class="scrollTable c-pointer admin-scroll-variant"
            fixed-header
            v-else
            style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
          >
            <template v-slot:default>
              <thead>
                <tr>
                  <th>
                    <div style="width: 150px !important">
                      <div class="d-flex align-center">
                        <div>
                          <div id="checkbox">
                            <v-checkbox
                              v-model="selectedAllVariant"
                              class="pl-3"
                            ></v-checkbox>
                          </div>
                        </div>
                        <p
                          class="mb-0 fsize-13 ml-2 text-uppercase colorGreyHeaderTable"
                        >
                          Variant
                        </p>
                      </div>
                    </div>
                  </th>
                  <th class="text-left">
                    <div style="width: 180px !important">
                      <p
                        class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable"
                      >
                        Image
                      </p>
                    </div>
                  </th>
                  <th class="text-left">
                    <div style="width: 120px !important">
                      <p
                        class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable"
                      >
                        Price
                      </p>
                    </div>
                  </th>
                  <th class="text-left">
                    <div style="width: 120px !important">
                      <p
                        class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable"
                      >
                        Compared Cost
                      </p>
                    </div>
                  </th>
                  <th class="text-left">
                    <div style="width: 120px !important">
                      <p
                        class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable"
                      >
                        Product Cost
                      </p>
                    </div>
                  </th>
                  <th class="text-left">
                    <div style="width: 120px !important">
                      <p
                        class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable"
                      >
                        Fulfillment Cost
                      </p>
                    </div>
                  </th>
                  <!-- <th class="text-left">
                    <div style="width: 140px !important">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Stock
                      </p>
                    </div>
                  </th> -->
                  <th class="text-left">
                    <div style="width: 180px !important">
                      <p
                        class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable"
                      >
                        Sku
                      </p>
                    </div>
                  </th>
                  <!-- <th class="text-left">
                    <div style="width: 140px !important">
                    </div>
                  </th> -->
                </tr>
              </thead>
              <tbody>
                <tr v-for="(variant,i) in product.listVariant" :key="i">
                  <td class="py-2">
                    <div class="d-flex align-center">
                      <v-checkbox
                        v-model="listVariantIds"
                        :value="variant.name"
                        class="pl-3"
                      ></v-checkbox>
                      <p class="mb-0 ml-2">{{variant.name}}</p>
                    </div>
                  </td>
                  <td class="py-2">
                    <div
                      class="mt-1 thumbnails-image-child d-flex align-center justify-center c-pointer"
                      @click="openDialogMediaPicker(variant.name, variant)"
                      style="width: 80px; height: 80px !important"
                    >
                      <img
                        :src="convertMultipleImage(variant)"
                        alt=""
                        style="
                          border-radius: 6px;
                          width: 78px;
                          height: 78px !important;
                        "
                        v-if="variant.imageUrl"
                      />
                      <img
                        src="~/assets/images/thumbnails-image.png"
                        alt=""
                        style="width: 13px; height: 13px"
                        v-else
                      />
                    </div>
                    <div>
                      <p class="mb-0 fsize-14"></p>
                    </div>
                  </td>
                  <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field
                        dense
                        outlined
                        v-model="variant.price"
                        prefix="$"
                        placeholder="Enter price"
                      >
                      </v-text-field>
                    </div>
                  </td>
                  <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field
                        dense
                        outlined
                        v-model="variant.comparePrice"
                        prefix="$"
                        placeholder="Enter compare price"
                      >
                      </v-text-field>
                    </div>
                  </td>
                  <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field
                        dense
                        outlined
                        v-model="variant.productCost"
                        prefix="$"
                        placeholder="Enter product cost"
                      >
                      </v-text-field>
                    </div>
                  </td>
                  <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field
                        dense
                        outlined
                        v-model="variant.fullfillmentCost"
                        prefix="$"
                        placeholder="Enter fulfillment cost"
                      >
                      </v-text-field>
                    </div>
                  </td>
                  <!-- <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field dense outlined v-model.number="variant.stock" placeholder="Enter stock">
                      </v-text-field>
                    </div>
                  </td> -->
                  <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field
                        dense
                        outlined
                        v-model.number="variant.sku"
                        placeholder="Enter sku"
                      >
                      </v-text-field>
                    </div>
                  </td>
                  <!-- <td class="py-2">
                    <div id="hideBottomInput">
                      <v-btn small color="#FF5252" @click="deleteVariant(variant,i)" class="elevation-0">
                        <v-icon color="#ffffff" size="16">
                          mdi-trash-can-outline
                        </v-icon>
                      </v-btn>
                    </div>
                  </td> -->
                  <!-- <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field dense outlined v-model.number="variant.price" prefix="$" readonly placeholder="Enter price">
                      </v-text-field>
                    </div>
                  </td>
                  <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field dense outlined v-model="variant.color" placeholder="Enter color">
                      </v-text-field>
                    </div>
                  </td>
                  <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field dense outlined v-model="variant.size" placeholder="Enter size">
                      </v-text-field>
                    </div>
                  </td>
                  <td class="py-2">

                  </td>
                  <td class="py-2">
                    <div id="hideBottomInput">
                      <v-text-field dense outlined v-model.number="variant.stock" placeholder="Enter stock">
                      </v-text-field>
                    </div>
                  </td>
                  <td class="py-2">
                    <div>
                      <v-btn small color="#FF5252" @click="deleteVariant(variant,i)" class="elevation-0">
                        <v-icon color="#ffffff" size="16">
                          mdi-trash-can-outline
                        </v-icon>
                      </v-btn>
                    </div>
                  </td> -->
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <!-- <div class="d-flex justify-center mt-5">
            <v-btn color="#076CE3" outlined="px-4" @click="addVariantProduct()">
              <div class="d-flex align-center">
                <v-icon color="#076ce3">
                  mdi-plus
                </v-icon>
                <span class="lightContentBlue ml-3">
                  Add Variants
                </span>
              </div>
            </v-btn>
          </div> -->
          <!-- <div class="text-center mt-4 pb-2 d-flex align-center justify-center">
            <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
            </v-pagination>
            <div id="hideBottomInput" class="input-gotopage pos-relative">
              <v-text-field dense outlined v-model.number="config.page" placeholder="Go to page">
              </v-text-field>
              <div class="button-inside-input">
                <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0">
                  <v-icon color="#ffffff">
                    mdi-chevron-right
                  </v-icon>
                </v-btn>
              </div>
            </div>
          </div> -->
        </div>
      </v-card>

      <v-card class="elevation-0 pa-6 mt-2">
        <p class="mb-0 fsize-18 lightContentPrimary">Reviews</p>
        <div class="mt-4">
          <Review :productId.sync="productId" />
        </div>
      </v-card>
    </v-col>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogMediaPicker" max-width="1200px">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">Choose Photo</p>
          <v-btn color="#949494" @click="dialogMediaPicker  = false" icon small>
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div>
          <MediaPicker
            :isShowUploadPhoto="true"
            :limitImage="limitImage"
            :dialogMediaPicker.sync="dialogMediaPicker"
            :imageVariant.sync="imageVariant"
            :isImageVariant.sync="isImageVariant"
            :imageAdd.sync="imageAdd"
            :isSelectMultipleImage.sync="isSelectMultipleImage"
            :tiptapWord.sync="tiptapWord"
            :imageId.sync="imageId"
            :listCoverIdComponent="listCoverIdComponent"
          />
        </div>
        <div
          class="d-flex align-center justify-space-between"
          style="height: 76px"
        ></div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogAddRelatedProduct" max-width="640">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 lightContentPrimary fsize-20">Add Product to Combo</p>
          <div>
            <v-btn
              color="#949494"
              @click="dialogAddRelatedProduct = false"
              icon
              small
            >
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
        </div>
        <v-divider></v-divider>
        <div class="py-5 px-4">
          <div id="hideBottomInput" class="d-sm-flex align-center justify-end">
            <div class="mr-3">
              <v-autocomplete
                dense
                outlined
                :items="listCollection"
                item-text="name"
                item-value="_id"
                v-model="filterCollection"
                placeholder="Filter By Collection"
                style="width: 200px"
              >
              </v-autocomplete>
            </div>
            <div class="mt-3 mt-sm-0">
              <v-text-field
                dense
                outlined
                v-model="configProduct.search"
                prepend-inner-icon="mdi-magnify"
                @keyup.enter="onGetListProduct()"
                placeholder="Search by name "
              >
              </v-text-field>
            </div>
          </div>
          <div class="mt-3">
            <v-skeleton-loader
              class="mx-auto mt-10"
              width="100%"
              type="card"
              v-if="loadingTableProduct"
            >
            </v-skeleton-loader>
            <v-simple-table
              class="scrollTable c-pointer"
              fixed-header
              v-else
              style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
            >
              <template v-slot:default>
                <thead>
                  <tr></tr>
                </thead>
                <tbody>
                  <tr v-for="(product,i) in listProduct" :key="product._id">
                    <td class="pa-0">
                      <div class="d-flex align-center">
                        <div class="d-flex align-center">
                          <v-checkbox
                            v-model="listProductIds"
                            :value="product._id"
                            class="pl-3"
                          ></v-checkbox>
                          <img
                            :src="convertImg(product)"
                            alt=""
                            width="32"
                            height="32px"
                            class="rounded-lg"
                            v-if="convertImg(product)"
                          />
                          <div style="width: 32px; height: 32px" v-else></div>
                        </div>
                        <div class="d-flex align-center">
                          <p
                            class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2"
                            v-if="product.name.length > 50"
                          >
                            {{product.name.slice(0,50)}}...
                          </p>
                          <p
                            class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2"
                            v-else
                          >
                            {{product.name}}
                          </p>
                        </div>
                      </div>
                    </td>
                    <td class="pa-0">
                      <p
                        class="fsize-16 font-weight-bold lightContentPrimary mb-0"
                      >
                        ${{calcPrice(product) &&
                        $utils.formatCurrency(calcPrice(product))}}
                      </p>
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
            <div
              class="d-flex justify-center my-2"
              v-if="listProduct.length == 0 && !loadingTableProduct"
            >
              <div>
                <div class="d-flex align-center justify-center">
                  <img
                    src="~/assets/images/no-product.png"
                    alt=""
                    width="136"
                    height="136"
                  />
                </div>
                <p class="mb-0 text-center colorGreyHeaderTable">
                  Before you open your store, first you need some products.
                </p>
                <p class="mb-0 text-center fsize-11 colorGreyHeaderTable">
                  Your added Product will be shown here
                </p>
              </div>
            </div>
            <div class="d-flex justify-center mt-4">
              <v-pagination
                v-model="configProduct.page"
                :length="totalPageProduct"
                :total-visible="5"
                class="pagination"
              >
              </v-pagination>
            </div>
            <div class="mt-4 d-flex align-center justify-end">
              <v-btn
                text
                @click="dialogAddRelatedProduct = false"
                class="d-none d-sm-block"
              >
                <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
                  Cancel
                </p>
              </v-btn>
              <v-btn
                color="#076CE3"
                class="elevation-0 ml-3"
                @click="onAddRelatedProduct()"
              >
                <p class="mb-0 fsize-16 font-weight-bold white--text">
                  Add to related product
                </p>
              </v-btn>
            </div>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialgoEditVariant" max-width="400px" color="#ffffff">
      <v-card class="pa-0" color="#ffffff">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">Edit Variant</p>
          <v-btn color="#949494" @click="dialgoEditVariant  = false" icon small>
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="mt-4 px-4 pb-4">
          <p class="mb-0">{{listVariantIds.length}} variants to edit</p>
          <div
            :style="listVariantIds.length >= 10 ? 'max-height: 200px; overflow-y: scroll' : ''"
          >
            <div
              v-for="(variant,i) in listVariantIds"
              :key="i"
              class="mt-4 px-6"
            >
              <p class="mb-0 fsize-14 mt-1">{{variant}}</p>
            </div>
          </div>
        </div>
        <div class="mt-4">
          <v-row no-gutters id="hideBottomInput">
            <v-col cols="5" class="d-flex align-center justify-end px-3">
              <p class="mb-0 text-right">Price</p>
            </v-col>
            <v-col cols="7" class="px-3 pt-3">
              <v-text-field
                dense
                outlined
                placeholder="Enter price"
                v-model="variant.price"
              ></v-text-field>
            </v-col>
            <v-col cols="12" class="pt-3">
              <v-divider></v-divider>
            </v-col>
            <v-col cols="5" class="d-flex align-center justify-end px-3">
              <p class="mb-0 text-right">Compared Price</p>
            </v-col>
            <v-col cols="7" class="px-3 pt-3">
              <v-text-field
                dense
                outlined
                placeholder="Enter compared price"
                v-model="variant.comparePrice"
              >
              </v-text-field>
            </v-col>
            <v-col cols="12" class="pt-3">
              <v-divider></v-divider>
            </v-col>
            <v-col cols="5" class="d-flex align-center justify-end px-3">
              <p class="mb-0 text-right">Product Cost</p>
            </v-col>
            <v-col cols="7" class="px-3 pt-3">
              <v-text-field
                dense
                outlined
                placeholder="Enter product cost"
                v-model="variant.productCost"
              >
              </v-text-field>
            </v-col>
            <v-col cols="12" class="pt-3">
              <v-divider></v-divider>
            </v-col>
            <v-col cols="5" class="d-flex align-center justify-end px-3">
              <p class="mb-0 text-right">Fulfilment Cost</p>
            </v-col>
            <v-col cols="7" class="px-3 pt-3">
              <v-text-field
                dense
                outlined
                placeholder="Enter fulfilment cost"
                v-model="variant.fullfillmentCost"
              ></v-text-field>
            </v-col>
            <!-- <v-col cols="12" class="pt-3"> </v-col>
            <v-col cols="5" class="d-flex align-center justify-end px-3">
              <p class="mb-0 text-right">
                Stock
              </p>
            </v-col>
            <v-col cols="7" class="px-3 pt-3">
              <v-text-field dense outlined placeholder="Enter stock" v-model.number="variant.stock"></v-text-field>
            </v-col> -->
            <v-col cols="12" class="pt-3">
              <v-divider></v-divider>
            </v-col>
          </v-row>
          <div class="d-flex justify-end px-3 pt-3 pb-6">
            <v-btn color="blue" class="elevation-0" @click="onEditVariant()">
              <p class="mb-0 white--text">Submit</p>
            </v-btn>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
